Subject: Re: bug#60443: 29.0.60; c-ts-mode: Consider re-using c-file-style and c-basic-offset

From: Mohammed Sadiq <[email-masked]>
Date: Sun, 08 Jan 2023 14:10:25 +0530

On 2023-01-08 06:12, Yuan Fu wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> On 02/01/2023 02:24, Yuan Fu wrote:
>>> Maybe we can say "same package, share vars,
>>> different package, different vars", to avoid confusion?
>> 
>> That would make sense.
>> 
>> Though ruby-ts-mode would break that convention too. :)
>> 
>> I suppose it might depend on whether the modes are considered to be
>> interrelated anyway, even if not residing in the same file.
> 
> Right. It probably helps if "independent" modes mention this in their
> docstring. I added some text in c-ts-mode and c++-ts-mode’s docstring.
> 

I personally (as a user) prefers to have single variable for both modes,
but if using different variables helps it maintain better, that
might be a better choice